#ifndef _POLINOM_H_
#define _POLINOM_H_ 0

/* Maksimalni stepen polinoma */
#define MAX_STEPEN 20


/* Polinome predstavljamo strukturom */
typedef struct {
    /* u kojoj imamo koeficijente; koef[i] je koeficijent uz clan x^i */
    double koef[MAX_STEPEN + 1];
    /* i stepen polinoma */
    int stepen;
} Polinom;


/* deklaracije funkcija */
void ispisi(const Polinom *);
void dodaj_koef(Polinom *p, double x);
double izracunaj(const Polinom *, double);
Polinom saberi(const Polinom *, const Polinom *);
Polinom oduzmi(const Polinom *, const Polinom *);
Polinom pomnozi(const Polinom *, const Polinom *);
Polinom uminus(const Polinom *p);
int jednaki(const Polinom *p, const Polinom *q);
Polinom izvod(const Polinom *);
Polinom integral(const Polinom * p, double x);

#endif
